> For a complete page index, fetch https://docs.synthflow.ai/llms.txt. For full documentation content, fetch https://docs.synthflow.ai/llms-full.txt.

# Update a phone number

PATCH https://api.synthflow.ai/v2/numbers/{phone_number_slug}
Content-Type: application/json

Updates the configuration of a phone number.

Reference: https://docs.synthflow.ai/api-reference/platform-api/phone-numbers/update-phone-number

## Authentication

- `Authorization` header (bearer token, required)

## Servers

- `https://api.synthflow.ai/v2` (Global, default)
- `https://api.us.synthflow.ai/v2` (United States)
- `https://api.eu.synthflow.ai/v2` (European Union)

## Request

### Path parameters

- `phone_number_slug` (string, required) — The phone number slug (phone number without the leading +).

### Body (application/json)

- `friendly_name` (string, optional) — A human-readable name for the phone number.
- `sip_auth_username` (string, optional) — SIP authentication username.
- `sip_outbound_proxy` (string, optional) — SIP outbound proxy.
- `sip_term_uri` (string, optional) — SIP termination URI / SIP domain. Required when changing the SIP domain for providers other than `five9`, `ringcx`, and `zoom`. You may also send `termination_uri` as an alias; it is mapped to `sip_term_uri`.
- `termination_uri` (string, optional) — Alias for `sip_term_uri` (SIP domain). Required when setting the domain for providers other than `five9`, `ringcx`, and `zoom`.
- `provider_name` (enum, optional) — Telephony provider. When set to a non-auto provider without a SIP domain, the request fails with 400.
  - Allowed values: `twilio`, `telnyx`, `vonage`, `ring_central`, `ringcx`, `custom`, `zoom`, `five9`
- `trunk_username` (string, optional) — SIP trunk username for authentication. Required when enabling `uac_enabled`.
- `trunk_pwd` (string, optional) — SIP trunk password for authentication. Required when enabling `uac_enabled`.
- `uac_enabled` (boolean, optional) — When true, Synthflow sends outbound SIP REGISTER traffic to your carrier or PBX. Requires `trunk_username` and `trunk_pwd` when enabling registration.
- `uac_register_expires` (integer, optional) — SIP registration refresh interval in seconds. Whole numbers only, between 60 and 3600. Defaults to 300.

## Response

### 200

200

- `status` (string, optional) — Whether the request was successful.

## Examples

**Request**

```json
{
  "friendly_name": "My Updated Number"
}
```

**Response**

```json
{
  "status": "ok"
}
```

**SDK Code**

```python
import requests

url = "https://api.synthflow.ai/v2/numbers/33782990580"

payload = { "friendly_name": "My Updated Number" }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.synthflow.ai/v2/numbers/33782990580"

	payload := strings.NewReader("{\n  \"friendly_name\": \"My Updated Number\"\n}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.synthflow.ai/v2/numbers/33782990580")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"friendly_name\": \"My Updated Number\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://api.synthflow.ai/v2/numbers/33782990580")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"friendly_name\": \"My Updated Number\"\n}")
  .asString();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.synthflow.ai/v2/numbers/33782990580");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"friendly_name\": \"My Updated Number\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["friendly_name": "My Updated Number"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.synthflow.ai/v2/numbers/33782990580")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```